For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve orders without partner invoice

Use this method to list all orders that have yet to be included in a partner invoice.

Requirements

This method requires you to set a specific partner using setPartner.

Request parameters

Parameter
Type / Description

sessionID

Required (string)

Session identifier, output of the Login method. An exception is thrown if the values are incorrect.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'getOrdersWithoutProforma',
  'params' => array($sessionID)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));

Response parameters

Parameters
Type

Response sample

Errors

Error
Description

INVALID_PARTNER

No partner is set.

NO_ORDERS

There are no orders without partner invoice.

Last updated

Was this helpful?